İçeriğe geç

LTX Video 2.3 Pro · Text to Video

Entegre et

Model kimliği ltx-2.3/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ltx-2.3/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu istek: $0,48 480 API kredisi Bu sayfada çalıştır

API anahtarı al
Lightricks Metinden Videoya Yerel ses4K çıktıDudak senkronizasyonu6–10 s2160p değerine kadar #stylized#transform#lipsync

Oluşturulan sesle birlikte, 6, 8 veya 10 saniyelik dikey ya da yatay klipler sunan, 1080p ile 2160p arasında profesyonel metinden video

Lightricks · Video

İlk sonucunuz burada görünecek

Aşağıda bir istek oluşturun ve API anahtarınızla çalıştırın. Çıktılar depolamamıza kopyalanır ve sonsuza kadar veya ücretsiz olarak 7 gün boyunca saklanır.

İstek oluştur

Kontroller model şemasından oluşturulur. Değerleri değiştirdikçe kod ve fiyat güncellenir.

•gerekli 88 / 5000

Video üretimini yönlendiren istem.

duration 6 s

Saniye cinsinden ölçülen çıktı video uzunluğu.

resolution varsayılan 1080p

Çıktı videosunun çözünürlüğü.

aspect_ratio varsayılan 16:9

Çıktı videosunun en-boy oranı.

Gelişmiş fps · enable_safety_checker
fps varsayılan 25

Saniye başına kare cinsinden ölçülen çıktı videosu kare hızı.

POST /run/ltx-2.3/text-to-video?wait=20 fiyat → $0,48
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ltx-2.3/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu isteği çalıştır

Anahtarınız bu tarayıcıda kalır: yalnızca Doitong API'ye gönderilir ve yalnızca Hatırla seçeneğini işaretlerseniz localStorage'a kaydedilir. API anahtarı al

LTX Video 2.3 Pro · Text to Video hakkında

En fazla 5000 karakterlik bir metin `prompt` değerinden klip oluşturur. `duration` 6, 8 veya 10 saniye; `resolution` 1080p, 1440p veya 2160p; `aspect_ratio` ise 16:9 veya 9:16 olabilir. `fps` 24, 25, 48 veya 50 değerlerini kabul eder; `generate_audio` varsayılan olarak ses parçası ekler.

Parametreler

AdTür Varsayılanİzin verilen Açıklama
promptgerekli
Türstring
≤ 5.000 karakter
Video üretimini yönlendiren istem.
durationisteğe bağlı
Türenum
Varsayılan6
6810
Saniye cinsinden ölçülen çıktı video uzunluğu.
resolutionisteğe bağlı
Türenum
Varsayılan1080p
1080p1440p2160p
Çıktı videosunun çözünürlüğü.
aspect_ratioisteğe bağlı
Türenum
Varsayılan16:9
16:99:16
Çıktı videosunun en-boy oranı.
fpsisteğe bağlı
Türenum
Varsayılan25
24254850
Saniye başına kare cinsinden ölçülen çıktı videosu kare hızı.
generate_audioisteğe bağlı
Türboolean
Varsayılantrue
Çıktı videosu için ses üretimi anahtarı.
enable_safety_checkeristeğe bağlı
Türboolean
Varsayılantrue
Çağıran yetkiliyse false ayarlanarak tarama gevşetilebilir.
gerekli

Çıktı

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ltx-2.3/text-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 480,
    "usd": "0.48",
    "charged": 480,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "fps": 1.0,
      "duration": 5,
      "num_frames": 1
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Dosyalarınız, seçiminizHer outputs[].url, depolamamızdaki bir kopyadır: sonsuza kadar (GB-ay başına ücretli) veya ücretsiz olarak 7 gün boyunca, hesap ayarınızla ya da ?storage= ile saklanır.
Her modelde aynı yapıGörüntüler, video ve ses için type, url, content_type, width, height ve duration aynıdır. output, modelin kendi sonuç nesnesidir.
Çıktı alanları
video
object {url, content_type, file_name, file_size, width, height, fps, duration, num_frames}Ortaya çıkan video dosyası.

Daha fazla model: Metinden Videoya

AI aracıları için: bu sayfanın Markdown biçimi şurada: https://doitong.com/tr/developers/models/ltx-2.3/text-to-video.md. Tüm modeller ve kılavuzlar: https://doitong.com/developers/llms.txt